Bug 98229 - Readline causes SEGFAULT when meta characters are entered into R language console
Summary: Readline causes SEGFAULT when meta characters are entered into R language con...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: readline   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Jay Turner
URL: https://www.stat.math.ethz.ch/piperma...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-28 14:25 UTC by Marc Schwartz
Modified: 2015-01-08 00:05 UTC (History)
1 user (show)

Fixed In Version: 4.3-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-07 12:04:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marc Schwartz 2003-06-28 14:25:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030530

Description of problem:
This problem occurs when using the R language (http://www.r-project.org/)
console. This was initially reported when using R under Kconsole when typing
Shift-Enter
(https://www.stat.math.ethz.ch/pipermail/r-devel/2003-June/026906.html) and is
consistently reproducable there.

Later research
(https://www.stat.math.ethz.ch/pipermail/r-devel/2003-June/026951.html) was able
to reproduce this under all consoles and appears to be associated with prior
readline bugs that have been reported, where meta character sequences send
applications into an infinite loop. The error message that is generated is:

Program received signal SIGSEGV, Segmentation fault.
0x400dd7fe in _rl_dispatch_subseq ()
from /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/../../../libreadline.so.4

Several patches for readline 4.3 are available here:

ftp://ftp.gnu.org/gnu/readline/readline-4.3-patches

with the first patch:

ftp://ftp.gnu.org/gnu/readline/readline-4.3-patches/readline43-001

addressing this particular issue.

The gentleman that initially reported this bug has generated an updated RPM
using the above patch
(https://www.stat.math.ethz.ch/pipermail/r-devel/2003-June/026959.html)
resulting in resolution of the issue, so it would seem that RH would need to do
the same.

Note that this bug has also been reproduced under RH 8.0 using readline 4.3 as well.


Version-Release number of selected component (if applicable):
readline-4.3-5

How reproducible:
Always

Steps to Reproduce:
1. Running R under Kconsole, type SHIFT-ENTER

2. Under other consoles, type ESC-O-M (that's the letter 'O', not zero)


Actual Results:  Segmentation Fault


Note You need to log in before you can comment on or make changes to this bug.